#1101 1.3 - AP transaction screen workflow issue - bug or feature?

1.3
closed-invalid
nobody
None
5
2014-03-29
2014-03-28
Pongracz Istvan
No

The Post on save and Post as shown buttons appears when I do a Copy to new from a saved draft AP transaction.
Steps to reproduce:
- Create a new AP transaction
- Save it, don't leave the form
- Copy to new
- New buttons appears, even this is an unsaved AP transaction

As I work with it, I found that, the following workflow is not forced:
- Create New AP (probably AR) transaction (Only update, save, schedule available)
- Save it - it goes to draft
- Go to Drafts and select transactions - post them
- Transactions go to the book

I found that, after saving a draft, the Post on save and Post as shown appears and it is possible to post the transaction from this screen. The same happens if I do the Copy to new, it is possible to post the transaction without put it to the drafts for revise.

So, if we force to put new transactions into drafts (which is a good idea in general, because the accountant or a second person can control the newly entered transactions) this behavior is likely a bug.

I understand, this "feature" can speed up posting directly to the books, but if a company wants to force their users to follow the previous workflow, this issue breaks that.

My opinion, from the security and control point of view, it is better to turn off direct post to books.

What is your opinion?

Related

Bugs: #1101

Discussion

  • see also separate_duties in defaults table.

    posting directly to the books is good for very small companies without
    separation of duties.
    Manager does all.

    2014-03-28 9:02 GMT+01:00 Pongracz Istvan pongracz@users.sf.net:


    [bugs:#1101] 1.3 - AP transaction screen workflow issue - bug or feature?

    Status: open
    Group: 1.3
    Created: Fri Mar 28, 2014 08:02 AM UTC by Pongracz Istvan
    Last Updated: Fri Mar 28, 2014 08:02 AM UTC
    Owner: nobody

    The Post on save and Post as shown buttons appears when I do a Copy to new
    from a saved draft AP transaction.
    Steps to reproduce:
    - Create a new AP transaction
    - Save it, don't leave the form
    - Copy to new
    - New buttons appears, even this is an unsaved AP transaction

    As I work with it, I found that, the following workflow is not forced:
    - Create New AP (probably AR) transaction (Only update, save, schedule
    available)
    - Save it - it goes to draft
    - Go to Drafts and select transactions - post them
    - Transactions go to the book

    I found that, after saving a draft, the Post on save and Post as shown
    appears and it is possible to post the transaction from this screen. The
    same happens if I do the Copy to new, it is possible to post the transaction
    without put it to the drafts for revise.

    So, if we force to put new transactions into drafts (which is a good idea in
    general, because the accountant or a second person can control the newly
    entered transactions) this behavior is likely a bug.

    I understand, this "feature" can speed up posting directly to the books, but
    if a company wants to force their users to follow the previous workflow,
    this issue breaks that.

    My opinion, from the security and control point of view, it is better to
    turn off direct post to books.

    What is your opinion?


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/ledger-smb/bugs/1101/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1101

  • Ooooops, you are right, I am working as Manager, full rights, so, this should be the reason.
    I have separate duties=1, is it ok?
    Otherwise this ticket should be closed :)

     
    • i am working in 1.4 with separate_duties=0 without problems.

      2014-03-28 11:15 GMT+01:00 Pongracz Istvan pongracz@users.sf.net:

      Ooooops, you are right, I am working as Manager, full rights, so, this
      should be the reason.
      I have separate duties=1, is it ok?
      Otherwise this ticket should be closed :)


      [bugs:#1101] 1.3 - AP transaction screen workflow issue - bug or feature?

      Status: open
      Group: 1.3
      Created: Fri Mar 28, 2014 08:02 AM UTC by Pongracz Istvan
      Last Updated: Fri Mar 28, 2014 08:02 AM UTC
      Owner: nobody

      The Post on save and Post as shown buttons appears when I do a Copy to new
      from a saved draft AP transaction.
      Steps to reproduce:
      - Create a new AP transaction
      - Save it, don't leave the form
      - Copy to new
      - New buttons appears, even this is an unsaved AP transaction

      As I work with it, I found that, the following workflow is not forced:
      - Create New AP (probably AR) transaction (Only update, save, schedule
      available)
      - Save it - it goes to draft
      - Go to Drafts and select transactions - post them
      - Transactions go to the book

      I found that, after saving a draft, the Post on save and Post as shown
      appears and it is possible to post the transaction from this screen. The
      same happens if I do the Copy to new, it is possible to post the transaction
      without put it to the drafts for revise.

      So, if we force to put new transactions into drafts (which is a good idea in
      general, because the accountant or a second person can control the newly
      entered transactions) this behavior is likely a bug.

      I understand, this "feature" can speed up posting directly to the books, but
      if a company wants to force their users to follow the previous workflow,
      this issue breaks that.

      My opinion, from the security and control point of view, it is better to
      turn off direct post to books.

      What is your opinion?


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/ledger-smb/bugs/1101/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1101

  • Seems the manager has permission to see/use these functions.

     
    • status: open --> closed-invalid